# Character Stats

Your character is a MemeFi hero avator that you'll lead to **glory** and **riches**. There are several characters with different **backgrounds** and, later, different **attributes**. Check the hero lore in [Clans, Characters & Bosses](/lore/clans-characters-and-bosses.md).

### $PWR

The key component of your gameplay is **POWER,** an attribute that measures the energy reserve of your character in virtual $PWR tokens. We'll refer to the **attribute** with the token ticker — $PWR.

You can deposit $PWR at the **onboarding** stage or top up later by clicking on **the $PWR tab.**

The [$PWR token](/in-game-economy/usdpwr.md) is a virtual in-app token that is used for $PWR tasks.

**$PWR balance**

Your $PWR balance **is synonymous** to the amount of $PWR tokens left after depositing. You will spend your $PWR reserve to **complete missions**. Your $PWR balance is shown **on the left** of the $PWR widget.

Most character attribute do not depend on the $PWR itself but rather hinge on **the maximum historical $PWR balance** i.e. the maximum amount of $PWR that has ever been on your balance.

**Strength**

One of the parameters that is determined by your maxium historical $PWR balance is **strength** — it is linearily dependent on this value and is measured in $PWR. Specifically, it is just **a fraction** of your maxium historical $PWR balance — in case of LVL 1, it is determined as follows:

```python
strength = 0.01 * maxHistPowerBalance
```

The coefficient implies a certain expected daily ROI — in case of 0.01, the **expected daily ROI** is equal to 2%.

As mentioned before, your strength scales **linearly** until it hits max strength and is capped. After that, depositing more $PWR will neither increase your **strength**, nor your daily **ROI.**

{% hint style="info" %}
If you're still **confused** about the $PWR system, let's break down **a potential scenario**:

<pre class="language-python"><code class="lang-python"><strong># User onboards the game
</strong>
<strong>powerBalance = 0
</strong>maxHistPwrBalance = 0
strength = 0

# User deposits 1000 $PWR

powerBalance = 1000
maxHistPowerBalance = 1000
strength = 10 # 0.01 * 1000

# User spends 200 $PWR

powerBalance = 800 # 1000 - 200
maxHistPowerBalance = 1000
strength = 10

<strong># User deposits 2000 $PWR &#x26; maxStrength >= 26
</strong>
powerBalance = 2800 # 800 + 1000
maxHistPowerBalance = 2800 # max(allHistoricalPowerBalances)
strength = 26 #strength capped at 26 =/= 0.01 * 2800
</code></pre>

{% endhint %}

## Level

Levels are character **experience tiers** that determine your max strength and, consequently, daily ROI.

You can **view** your level and the current progress to the next level by clicking on the **Character Profile** widget in the upper right corner of the main menu and opening the **Statistics** tab.

In total, there are **12 levels** in MemeFi.

#### **Experience**

**XP** measures a user's progress in the game. When the user reaches a certain **XP threshold** they can level up.

**XP** is given for completing **boss raids** only. One mission increases **XP** by 100.

| LVL | Max Strength | Soft $PWR Cap | Daily ROI (%) | XP Threshold |
| --- | ------------ | ------------- | ------------- | ------------ |
| 1   | 100000       | 10000000      | 2,00%         | 0            |
| 2   | 110000       | 11000000      | 2,02%         | 200          |
| 3   | 120000       | 12000000      | 2,04%         | 500          |
| 4   | 130000       | 13000000      | 2,06%         | 1000         |
| 5   | 150000       | 15000000      | 2,08%         | 2000         |
| 6   | 170000       | 17000000      | 2,10%         | 3500         |
| 7   | 200000       | 20000000      | 2,12%         | 5000         |
| 8   | 250000       | 25000000      | 2,14%         | 6500         |
| 9   | 350000       | 35000000      | 2,16%         | 8000         |
| 10  | 500000       | 50000000      | 2,18%         | 10000        |
| 11  | 700000       | 70000000      | 2,22%         | 15000        |
| 12  | 1000000      | 100000000     | 2,26%         | 20000        |

{% hint style="info" %}
**The soft PWR cap** is such a maximum historical $PWR balance that corresponds to max strength at a given level

**XP** **threshold** is the amount of XP the user needs to collect in order to reach this level
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.memefi.club/game-mechanics/character-stats.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
